请选择 进入手机版 | 继续访问电脑版

唐康林NX二次开发论坛

 找回密码
 立即注册
查看: 579|回复: 0

[技术分享] 利用NXOpen方式创建圆弧的方法!-唐康林

[复制链接]

555

主题

743

帖子

3378

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
3378
发表于 2018-1-11 10:19:57 | 显示全部楼层 |阅读模式
在UFUN里面创建圆弧,其实是比较麻烦一点的,利用了函数:UF_CURVE_create_arc (当然也还有其它函数可以的)
http://www.nxopen.cn/thread-921-1-1.html
但是在NXOpen里面,就简单得多。
以下是在WCS方位创建一个圆弧
  1. Point3d p1(origin[0], origin[1], origin[2]);
  2. workPart->Curves()->CreateArc(p1, workPart->WCS()->CoordinateSystem()->Orientation(), 20.0, 0.0, PI/2.0);
复制代码
上面这个是通过圆心,坐标系矩阵,半径,起始角度,终止角度的方法创建。
在NXOPEN里面也一样,它有很多重载,提供了其它方法来创建圆弧。

回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-10-17 08:31 , Processed in 0.093244 second(s), 25 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表